> For the complete documentation index, see [llms.txt](https://docs.soda.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soda.io/soda-documentation/soda-v3/data-source-reference/connect-db2.md).

# Connect Soda to IBM DB2

> For Soda to run quality scans on your data, you must configure it to connect to your data source.\
> To learn how to set up Soda and configure it to connect to your data sources, see [Get started](/soda-documentation/soda-v3/quick-start-sip/setup-guide.md).

## Compatibility

Soda supports connections to IBM DB2 for Linux, UNIX, Windows (LUW).\
Soda does not support connections to IBM DB2 for z/OS. Refer to [IBM Developer documentation](https://developer.ibm.com/articles/dm-1108compdb2luwzos/) for more information.

## Connection configuration reference

Install package: `soda-db2`

```yaml
data_source my_datasource_name:
  type: db2
  host: 127.0.0.1
  port: 50000
  username: simple
  password: simple_pass
  database: database
  schema: public
```

| Property | Required | Notes                                                              |
| -------- | -------- | ------------------------------------------------------------------ |
| type     | required | Identify the type of data source for Soda.                         |
| host     | required | Provide a host identifier.                                         |
| port     | required | Provide a port identifier.                                         |
| username | required | Consider using system variables to retrieve this value securely.   |
| password | required | Consider using system variables to retrieve this value securely.   |
| database | required | Provide an identifier for your database.                           |
| schema   | optional | Provide an identifier for the schema in which your dataset exists. |

## Test the data source connection <a href="#test-the-data-source-connection" id="test-the-data-source-connection"></a>

To confirm that you have correctly configured the connection details for the data source(s) in your configuration YAML file, use the `test-connection` command. If you wish, add a `-V` option to the command to return results in verbose mode in the CLI.

```sh
soda test-connection -d my_datasource -c configuration.yml -V
```

## Supported data types

| Category | Data type                   |
| -------- | --------------------------- |
| text     | VARCHAR                     |
| number   | INT, INTEGER, DOUBLE, FLOAT |
| time     | DATE, TIME, TIMESTAMP       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soda.io/soda-documentation/soda-v3/data-source-reference/connect-db2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
